<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/grey_background"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context="com.cpm.lorealbaMabeline.password.ChangePasswordActivity"
    tools:showIn="@layout/activity_change_password">

    <ProgressBar
        android:id="@+id/login_progress"
        style="?android:attr/progressBarStyleSmall"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginBottom="8dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginTop="@dimen/custom_layout_margin_50"
        android:layout_centerInParent="false">


        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="5dp"
            android:layout_marginBottom="5dp"
            card_view:cardBackgroundColor="@color/white"
            card_view:cardCornerRadius="5dp">


            <LinearLayout
                android:id="@+id/email_login_form"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingTop="20dp"
                android:paddingBottom="40dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:weightSum="4"
                    android:layout_marginLeft="@dimen/text22dp"
                    android:layout_marginRight="@dimen/text22dp"
                    android:layout_marginTop="@dimen/text22dp"
                    android:background="@drawable/edit_text_border"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_marginTop="5dp"
                            android:layout_marginBottom="5dp"
                            android:background="@mipmap/password"
                            android:padding="10dp"
                            android:scaleType="fitXY" />


                    </LinearLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="3.5"
                        android:textColorHint="@color/black"
                        app:passwordToggleEnabled="true"
                        android:layout_margin="@dimen/custom_margin3dp"
                        app:passwordToggleTint="@color/black">

                        <EditText
                            android:id="@+id/et_old_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusableInTouchMode="true"
                            android:hint="@string/old_password"
                            android:imeOptions="actionUnspecified"
                            android:inputType="textPassword"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:layout_marginLeft="@dimen/padding_10dp"
                            android:layout_marginRight="@dimen/padding_10dp"
                            android:layout_marginTop="@dimen/custom_margin"
                            android:textColor="@android:color/black"
                            android:textColorHint="@color/black"
                            app:backgroundTint="@color/black"
                            android:padding="@dimen/custom_layout_margin11"
                            android:textSize="@dimen/text_size_16sp"/>

                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:weightSum="4"
                    android:layout_marginLeft="@dimen/text22dp"
                    android:layout_marginRight="@dimen/text22dp"
                    android:layout_marginTop="@dimen/text22dp"
                    android:background="@drawable/edit_text_border"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_marginTop="5dp"
                            android:layout_marginBottom="5dp"
                            android:background="@mipmap/password"
                            android:padding="10dp"
                            android:scaleType="fitXY" />


                    </LinearLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="3.5"
                        android:textColorHint="@color/black"
                        app:passwordToggleEnabled="true"
                        android:layout_margin="@dimen/custom_margin3dp"
                        app:passwordToggleTint="@color/black">

                        <EditText
                            android:id="@+id/et_new_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusableInTouchMode="true"
                            android:hint="@string/new_password"
                            android:imeOptions="actionUnspecified"
                            android:inputType="textPassword"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:layout_marginLeft="@dimen/padding_10dp"
                            android:layout_marginRight="@dimen/padding_10dp"
                            android:layout_marginTop="@dimen/custom_margin"
                            android:textColor="@android:color/black"
                            android:textColorHint="@color/black"
                            app:backgroundTint="@color/black"
                            android:padding="@dimen/custom_layout_margin11"
                            android:textSize="@dimen/text_size_16sp"/>

                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:weightSum="4"
                    android:layout_marginLeft="@dimen/text22dp"
                    android:layout_marginRight="@dimen/text22dp"
                    android:layout_marginTop="@dimen/text22dp"
                    android:background="@drawable/edit_text_border"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_marginTop="5dp"
                            android:layout_marginBottom="5dp"
                            android:background="@mipmap/password"
                            android:padding="10dp"
                            android:scaleType="fitXY" />


                    </LinearLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="3.5"
                        android:textColorHint="@color/black"
                        app:passwordToggleEnabled="true"
                        android:layout_margin="@dimen/custom_margin3dp"
                        app:passwordToggleTint="@color/black">

                        <EditText
                            android:id="@+id/et_confirm_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusableInTouchMode="true"
                            android:hint="@string/confirm_password"
                            android:imeOptions="actionUnspecified"
                            android:inputType="textPassword"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:layout_marginLeft="@dimen/padding_10dp"
                            android:layout_marginRight="@dimen/padding_10dp"
                            android:layout_marginTop="@dimen/custom_margin"
                            android:textColor="@android:color/black"
                            android:textColorHint="@color/black"
                            app:backgroundTint="@color/black"
                            android:padding="@dimen/custom_layout_margin11"
                            android:textSize="@dimen/text_size_16sp"/>

                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>


                <Button
                    android:id="@+id/btn_submit"
                    style="?android:textAppearanceSmall"
                    android:layout_width="150dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/custom_margin35dp"
                    android:text="@string/submit"
                    android:layout_gravity="center"
                    android:textStyle="bold"
                    android:textSize="@dimen/text_size_16sp"
                    android:textColor="@color/white"
                    android:background="@drawable/rouded_corner"/>

                <ImageView
                    android:id="@+id/img_info"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/outline_info_black_36"
                    android:layout_gravity="right"
                    android:layout_marginTop="5dp"
                    android:layout_marginRight="10dp"/>

            </LinearLayout>


        </androidx.cardview.widget.CardView>

    </LinearLayout>


</RelativeLayout>
